function TutorialText(){}

TutorialText.prototype.initialize = function(){
    this.TextDiv = $('<div style="text-shadow: 2px 2px 0px #000000; color:white; font-size: 30px; text-align: center;"></div>').appendTo(this.rootElement).addClass('TextDiv');
	$('<br><br>').appendTo(this.rootElement);
	
	this.nextDiv = $('<center><button id="nextDiv">Next</button></center>').appendTo(this.rootElement).addClass('NextDiv');
	$('<br>').appendTo(this.rootElement);
	this.prevDiv = $('<center style="margin-top: -8px;"><button id="prevDiv">Prev</button></center>').appendTo(this.rootElement).addClass('NextDiv');
	
	window.showDiv = 0;
	
	this.nextDiv.click(function(){
		window.showDiv++;
		//	beamng.sendActiveObjectLua("drivetrain.startEngine()");
	});
	this.prevDiv.click(function(){
	
		window.showDiv--;
		//beamng.sendActiveObjectLua("drivetrain.stopEngine()");
		
	});
	this.txt = "Welcome to the tutorial!";
	this.showTimer = 0;
	window.shown = 0;
	this.requiresAction = "";
};

TutorialText.prototype.update = function(streams) {
	this.textBlobs = [
		["Welcome to the tutorial!", true],
		["This will teach you how to play BeamNG.drive!", true],
		["First, you need to press the UP arrow key to move forward.", false],
		["Good! Now you can use the LEFT & RIGHT arrow keys to steer.", false],
		["Second, you can use the C key to change your camera view.", true],
		["Third, if it's dark, use your headlights! Press N!", true],
		["Fourth, if you crash, don't worry! You can reset using R!", true],
		["Fifth, you can use CTRL + E to change your vehicle!", true],
		["Also, you can use CTRL + R to reset at your current location.", true],
		["Finally, you can use ESC to access the dashboard.", true],
		
		//Credits and stuff
		["Thanks for reading! Hope this helped ;)", true],
		["I hope to add to this when I can.", true],
		["Created by StinchinStein", false],
	];
	if(this.textBlobs[window.showDiv][1] || window.shown === 1) {
		this.showTimer++;
		if(window.shown === 0) {
			if(this.showTimer > 117) {
				window.showDiv++;
				this.showTimer = 0;
				window.shown = 0;
			}
		} else {
			if(this.showTimer > 25) {
				window.showDiv++;
				this.showTimer = 0;
				window.shown = 0;
			}			
		}
	}
	if(streams.engineInfo[19] !== 0 && window.shown === 0 && window.showDiv === 2) {
		window.showDiv++;
		window.shown = 1;
	}
	if(streams.electrics.steering !== 0 && window.shown === 0 && window.showDiv === 3) {
		window.showDiv++;
		window.shown = 1;
	}
	if(window.showDiv < 0) {
		window.showDiv = this.textBlobs.length - 1;
	}
	if(window.showDiv > this.textBlobs.length - 1) {
		window.showDiv = 0;
	}
	if(this.textBlobs[window.showDiv][1] === false) {
		this.requiresAction = "(Requires Action)";
	} else {
		this.requiresAction = "";
	}
	this.TextDiv.html(this.textBlobs[window.showDiv][0] + "<br>" + this.requiresAction + " (" + (window.showDiv + 1) + "/" + this.textBlobs.length + ")");
};
TutorialText.prototype.onScenarioShowMsg = function(msg) {
    //Unused
};